com.pivotal.gemfirexd.jdbc

## Class ClientDRDADriver

- java.lang.Object
- - com.pivotal.gemfirexd.jdbc.ClientDRDADriver

All Implemented Interfaces:
  Driver

Direct Known Subclasses:
  ClientDriver

    public class ClientDRDADriver
    extends Object
    implements Driver

### Field Summary

Fields
`static String` `DRDA_CONNECTION_PROTOCOL`
`protected static SQLException` `exceptionsOnLoadDriver__`
`static String` `GEMXD_PROTOCOL`
`protected static ClientDRDADriver` `registeredDriver__`
`static String` `SNAPPY_PROTOCOL`
`protected static String` `URL_PREFIX_REGEX`
`protected static String` `URL_SUFFIX_REGEX`

### Constructor Summary

Constructors
Constructor and Description
`ClientDRDADriver()`

### Method Summary

Methods
`boolean` `acceptsURL(String url)`
`Connection` `connect(String url, Properties properties)`
`protected Connection` `createThriftConnection(String server, int port, Properties props)`
`static ClientJDBCObjectFactory` `getFactory()` This method returns an Implementation of ClientJDBCObjectFactory depending on VM under use Currently it returns either ClientJDBCObjectFactoryImpl (or) ClientJDBCObjectFactoryImpl40
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`Logger` `getParentLogger()`
`DriverPropertyInfo[]` `getPropertyInfo(String url, Properties properties)`
`static ClientDRDADriver` `getRegisteredDriver()`
`protected String` `getServer(Matcher m, int[] port)`
`protected Properties` `getURLProperties(Matcher m, Properties properties)`
`boolean` `jdbcCompliant()`
`protected Matcher` `matchProtocol(String url)`
`protected Matcher` `matchURL(String url)`
`protected boolean` `useThriftProtocol(Matcher m)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SNAPPY_PROTOCOL

    public static String SNAPPY_PROTOCOL

#### GEMXD_PROTOCOL

    public static String GEMXD_PROTOCOL

#### DRDA_CONNECTION_PROTOCOL

    public static String DRDA_CONNECTION_PROTOCOL

#### URL_PREFIX_REGEX

    protected static final String URL_PREFIX_REGEX

#### URL_SUFFIX_REGEX

    protected static final String URL_SUFFIX_REGEX

See Also:
  Constant Field Values

#### exceptionsOnLoadDriver__

    protected static SQLException exceptionsOnLoadDriver__

#### registeredDriver__

    protected static ClientDRDADriver registeredDriver__

### Constructor Detail

#### ClientDRDADriver

    public ClientDRDADriver()

### Method Detail

#### connect

    public Connection connect(String url,
                     Properties properties)
                       throws SQLException

Specified by:
  `connect` in interface `Driver`
Throws:
  `SQLException`

#### acceptsURL

    public boolean acceptsURL(String url)
                       throws SQLException

Specified by:
  `acceptsURL` in interface `Driver`
Throws:
  `SQLException`

#### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                       Properties properties)
                                         throws SQLException

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `SQLException`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`

#### getFactory

    public static ClientJDBCObjectFactory getFactory()

This method returns an Implementation of ClientJDBCObjectFactory depending on VM under use Currently it returns either ClientJDBCObjectFactoryImpl (or) ClientJDBCObjectFactoryImpl40

#### useThriftProtocol

    protected boolean useThriftProtocol(Matcher m)

#### getServer

    protected String getServer(Matcher m,
                   int[] port)

#### getURLProperties

    protected Properties getURLProperties(Matcher m,
                              Properties properties)
                                   throws SqlException

Throws:
  `SqlException`

#### matchURL

    protected Matcher matchURL(String url)

#### matchProtocol

    protected Matcher matchProtocol(String url)

#### createThriftConnection

    protected Connection createThriftConnection(String server,
                                    int port,
                                    Properties props)
                                         throws SQLException

Throws:
  `SQLException`

#### getRegisteredDriver

    public static ClientDRDADriver getRegisteredDriver()

#### getParentLogger

    public Logger getParentLogger()

Specified by:
  `getParentLogger` in interface `Driver`